Bug 730920 - Change dependency on report to libreport
Summary: Change dependency on report to libreport
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: setroubleshoot
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Grepl
QA Contact: Karel Srot
URL:
Whiteboard:
Depends On:
Blocks: 743047
TreeView+ depends on / blocked
 
Reported: 2011-08-16 09:01 UTC by Michal Toman
Modified: 2015-03-23 00:41 UTC (History)
5 users (show)

Fixed In Version: setroubleshoot-3.0.38-2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-06 09:49:27 UTC


Attachments (Terms of Use)
Modified specfile (59.96 KB, text/x-rpm-spec)
2011-08-16 09:01 UTC, Michal Toman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1509 normal SHIPPED_LIVE setroubleshoot bug fix update 2011-12-06 00:39:33 UTC

Description Michal Toman 2011-08-16 09:01:26 UTC
Created attachment 518436 [details]
Modified specfile

As far as report-gtk is replaced by libreport-gtk, Requires in setroubleshoot.spec should be changed as well. The old report package will be kept, renaming the python module and the report binary to report1.
Attaching the modified specfile.

Comment 2 Daniel Walsh 2011-08-16 12:19:17 UTC
Why doesn't libreport-gtk just provide report-gtk?

Comment 3 Michal Toman 2011-08-16 12:58:31 UTC
There is a request from GSS to be able to install both report and libreport at the same time.

Comment 4 Miroslav Grepl 2011-09-15 08:37:35 UTC
Fixed in setroubleshoot-3.0.38-2.el6

Comment 7 errata-xmlrpc 2011-12-06 09:49:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1509.html


Note You need to log in before you can comment on or make changes to this bug.